### Installation, tutorials and examples

Get started with React and learn how to build your first projects.

<ul class="md-list--flex">
  <li class="mdut--full">[Get started with Fabric React](#/get-started)</li>
  <li class="mdut--full">[Fabric React tutorial](https://github.com/OfficeDev/office-ui-fabric-react/wiki/Getting-Started-with-UI-Fabric)</li>
</ul>

### Documentation

In addition to the API documentation and control examples found in the [Controls section](#/controls/web) of this website, you can find a full collection of API references on the docs.microsoft.com portal.

<ul class="md-list--flex">
  <li class="mdut--full">[API reference on docs.microsoft.com](https://docs.microsoft.com/en-us/javascript/api/office-ui-fabric-react?branch=live&view=office-ui-fabric-react-latest)</li>
</ul>

### Release notes and demos

View Fabric React's versioned release notes and component demos.

<ul class="md-list--flex">
  <li class="mdut--full">[Release notes and demos](https://aka.ms/FabricDemo)</li>
</ul>

<h3 id="sharepoint-framework-dev">SharePoint Framework</h3>

SharePoint uses Fabric, so if you’re building on top of or within a SharePoint experience, you can be sure that your UI will blend in.

<ul class="md-list--flex">
  <li class="mdut--half">[SharePoint Framework overview](https://aka.ms/spfx)</li>
  <li class="mdut--half">[Use Fabric components in web parts](https://aka.ms/spfx-fabric-react)</li>
  <li class="mdut--half">[Theme Designer](https://aka.ms/themedesigner)</li>
  <li class="mdut--half">[Get started with building client-side web parts](https://aka.ms/spfx-tutorials)</li>
</ul>

<h3 id="office-add-ins-dev">Office Add-ins</h3>

Fabric is the official UI toolkit for creating Office Add-ins. Check out some of these resources to learn more about how to use Fabric in your next Add-in.

<ul class="md-list--flex">
  <li class="mdut--full">[Add-ins overview](http://dev.office.com/docs/add-ins/overview/office-add-ins)</li>
  <li class="mdut--full">[Using Fabric in your Add-ins](http://dev.office.com/docs/add-ins/design/add-in-design)</li>
</ul>
